Package org.eclipse.mat.query.refined

## Class TotalsResult

- java.lang.Object
- - org.eclipse.mat.query.refined.TotalsResult

    public class TotalsResult
    extends Object

Used by the `TotalsCalculator` to encapsulate the value and format to display.

Since:
  1.5

### Constructor Summary

Constructors
`TotalsResult​(Object value, Format format)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Format` `getFormat()`
`Object` `getValue()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TotalsResult

    public TotalsResult​(Object value,
                        Format format)

### Method Detail

#### getValue

    public Object getValue()

#### getFormat

    public Format getFormat()